aboutsummaryrefslogtreecommitdiff
path: root/databases/postgresql81-server
diff options
context:
space:
mode:
Diffstat (limited to 'databases/postgresql81-server')
-rw-r--r--databases/postgresql81-server/Makefile279
-rw-r--r--databases/postgresql81-server/distinfo8
-rw-r--r--databases/postgresql81-server/files/502.pgsql97
-rw-r--r--databases/postgresql81-server/files/dot.cshrc.in11
-rw-r--r--databases/postgresql81-server/files/dot.profile.in22
-rw-r--r--databases/postgresql81-server/files/patch-configure59
-rw-r--r--databases/postgresql81-server/files/patch-src-interfaces-jdbc-build-xml14
-rw-r--r--databases/postgresql81-server/files/patch-src-interfaces-libpgtcl-Makefile11
-rw-r--r--databases/postgresql81-server/files/patch-src-makefiles-Makefile.freebsd17
-rw-r--r--databases/postgresql81-server/files/patch-src:backend:utils:misc:postgresql.conf.sample24
-rw-r--r--databases/postgresql81-server/files/pgsql.sh.tmpl51
-rw-r--r--databases/postgresql81-server/files/pkgIndex.tcl.in4
-rw-r--r--databases/postgresql81-server/pkg-descr23
-rw-r--r--databases/postgresql81-server/pkg-install-server65
-rw-r--r--databases/postgresql81-server/pkg-message-client32
-rw-r--r--databases/postgresql81-server/pkg-message-contrib3
-rw-r--r--databases/postgresql81-server/pkg-message-jdbc8
-rw-r--r--databases/postgresql81-server/pkg-message-plperl3
-rw-r--r--databases/postgresql81-server/pkg-message-pltcl3
-rw-r--r--databases/postgresql81-server/pkg-message-server71
-rw-r--r--databases/postgresql81-server/pkg-message-tcltk1
-rw-r--r--databases/postgresql81-server/pkg-plist1
-rw-r--r--databases/postgresql81-server/pkg-plist-client148
-rw-r--r--databases/postgresql81-server/pkg-plist-contrib145
-rw-r--r--databases/postgresql81-server/pkg-plist-jdbc27
-rw-r--r--databases/postgresql81-server/pkg-plist-plperl2
-rw-r--r--databases/postgresql81-server/pkg-plist-pltcl8
-rw-r--r--databases/postgresql81-server/pkg-plist-server411
-rw-r--r--databases/postgresql81-server/pkg-plist-tcltk11
29 files changed, 0 insertions, 1559 deletions
diff --git a/databases/postgresql81-server/Makefile b/databases/postgresql81-server/Makefile
deleted file mode 100644
index 7ea9a0e7cd0c..000000000000
--- a/databases/postgresql81-server/Makefile
+++ /dev/null
@@ -1,279 +0,0 @@
-# New ports collection makefile for: PostgreSQL
-# Date created: November 13, 1998
-# Whom: Marc G. Fournier <scrappy@FreeBSD.org>
-#
-# $FreeBSD$
-#
-
-PORTNAME?= postgresql
-PKGNAMESUFFIX?= -server
-PORTVERSION?= 7.4.6
-PORTREVISION?= 0
-CATEGORIES?= databases
-MASTER_SITES= ${MASTER_SITE_PGSQL}
-MASTER_SITE_SUBDIR= source/v${PORTVERSION}
-DISTFILES?= postgresql-base-${PORTVERSION}${EXTRACT_SUFX} \
- postgresql-opt-${PORTVERSION}${EXTRACT_SUFX}
-
-MAINTAINER?= girgen@FreeBSD.org
-COMMENT?= The most advanced open-source database available anywhere
-
-# XXX: this will eventually go away
-.if !defined(PGSQL_WORK_IN_PROGRESS)
-BROKEN= Work in progress, please use databases/postgresql-devel until further notice
-.endif
-
-CONFLICTS?= ${PORTNAME}${PKGNAMESUFFIX}-7.[0-35-9]* \
- ${PORTNAME}${PKGNAMESUFFIX}-8.*
-
-WRKSRC= ${WRKDIR}/postgresql-${PORTVERSION}
-DIST_SUBDIR= postgresql
-
-PKGINSTALL?= ${PKGDIR}/pkg-install${PKGNAMESUFFIX}
-USE_BZIP2= YES
-USE_GMAKE= YES
-GNU_CONFIGURE= YES
-.if defined(NO_BUILD)
-.undef USE_GMAKE
-.undef GNU_CONFIGURE
-.endif
-
-CONFIGURE_ARGS?=--with-libraries=${LOCALBASE}/lib \
- --with-includes=${LOCALBASE}/include
-CONFIGURE_ENV+= LDFLAGS="${LDFLAGS}"
-
-PLIST= ${PKGDIR}/pkg-plist${PKGNAMESUFFIX}
-
-BUILD_DIRS?= src/backend src/backend/utils/mb/conversion_procs src/pl
-INSTALL_DIRS?= ${BUILD_DIRS}
-PKGMESSAGE= ${WRKDIR}/.pkg-message${PKGNAMESUFFIX}
-
-.if !defined(CLIENT_ONLY) && !defined(SLAVE_ONLY)
-SERVER_ONLY= yes
-USE_RC_SUBR= yes
-RCSCRIPT= ${PREFIX}/etc/rc.d/postgresql.sh
-USE_PGSQL= yes
-WANT_PGSQL_VER= ${PORTVERSION:C/([0-9][0-9]*)\.([0-9][0-9]*).*/\1\2/g}
-.endif
-
-.if !defined(SLAVE_ONLY)
-OPTIONS= NLS "Use internationalized messages" on
-OPTIONS+= SSL "Build with SSL" on
-.endif
-
-.include <bsd.port.pre.mk>
-
-.if !defined(SLAVE_ONLY)
-# gnugetopt will always be used if already installed
-. if ${OSVERSION} < 500041
-OPTIONS+= GNUGETOPT "Depend on GNU getopt" on
-. endif
-. if defined(SERVER_ONLY)
-OPTIONS+= PAM "Build with PAM support" off
-. endif
-OPTIONS+= MIT_KRB5 "Build with MIT's kerberos support" off
-OPTIONS+= HEIMDAL_KRB5 "Builds with Heimdal's kerberos support" off
-OPTIONS+= OPTIMIZED_CFLAGS "Builds with compiler optimizations (-O3)" off
-. if defined(SERVER_ONLY)
-OPTIONS+= LIBC_R "Link with libc_r, needed by plpython" off
-# to run regression tests:
-OPTIONS+= TESTS "Allows the use of a \"check\" target" off
-. endif
-OPTIONS+= DEBUG "Builds with debugging symbols" off
-
-. if defined(SERVER_ONLY) && defined(WITH_PAM)
-CONFIGURE_ARGS+= --with-pam
-. endif
-
-. if !defined(WITHOUT_GNUGETOPT)
-USE_GETOPT_LONG=yes
-. endif
-
-. if !(defined(WITHOUT_GETTEXT) || defined(WITHOUT_NLS))
-CONFIGURE_ARGS+=--enable-nls
-PLIST_SUB+= GETTEXT=""
-USE_GETTEXT= YES
-. else
-CONFIGURE_ARGS+=--disable-nls
-PLIST_SUB+= GETTEXT="@comment "
-. endif
-
-. if defined(WITH_OPTIMIZED_CFLAGS)
-CFLAGS+= -O3 -funroll-loops
-. endif
-
-. if defined(WITH_DEBUG)
-CONFIGURE_ARGS+= --enable-debug
-INSTALL_TARGET= install
-. else
-INSTALL_TARGET= install-strip
-. endif
-
-. if !defined(WITHOUT_SSL)
-USE_OPENSSL= yes
-CONFIGURE_ARGS+= "--with-openssl=${OPENSSLBASE}"
-. endif
-
-. if defined(WITH_MIT_KRB5)
-KRB5CONF= ${KRB5_HOME}/bin/krb5-config
-LIB_DEPENDS+= krb5.3:${PORTSDIR}/security/krb5
-WITH_KRB5= yes
-. endif
-
-. if defined(WITH_HEIMDAL_KRB5)
-WITH_KRB5= yes
-. if defined(HEIMDAL_HOME) && exists(${HEIMDAL_HOME}/lib/libgssapi.a)
-CONFIGURE_ARGS+= --with-krb5=${HEIMDAL_HOME}
-KRB5CONF= ${HEIMDAL_HOME}/bin/krb5-config
-. elif ( defined(MAKE_KERBEROS5) || ${OSVERSION} > 500105 ) && exists(${DESTDIR}/usr/lib/libkrb5.a)
-CONFIGURE_ARGS+= --with-krb5=${DESTDIR}/usr
-KRB5CONF= ${DESTDIR}/usr/bin/krb5-config
-. else
-LIB_DEPENDS+= krb5:${PORTSDIR}/security/heimdal
-CONFIGURE_ARGS+= --with-krb5=${LOCALBASE}
-KRB5CONF= ${LOCALBASE}/bin/krb5-config
-. endif
-. endif
-
-. if defined(WITH_KRB5)
-CONFIGURE_ARGS+= --with-krb5="`${KRB5CONF} --prefix krb5`"
-LDFLAGS+= `${KRB5CONF} --libs krb5`
-CONFIGURE_ENV+= LDFLAGS="${LDFLAGS}"
-. endif
-
-. if defined(SERVER_ONLY) && defined(WITH_TESTS)
-DISTFILES+= postgresql-test-${PORTVERSION}${EXTRACT_SUFX}
-. endif
-
-. if defined(SERVER_ONLY) && defined(WITH_LIBC_R)
-CFLAGS+= ${PTHREAD_CFLAGS}
-LDFLAGS+= ${PTHREAD_LIBS}
-. endif
-
-. if defined(WITH_MIT_KRB5) && defined(WITH_HEIMDAL_KRB5)
- @${ECHO} "WITH_MIT_KRB5 and WITH_HEIMDAL_KRB5 are mutually exclusive."
- @${ECHO} "Please choose one or the other."
- @exit 1
-. endif
-. if defined(WITH_MIT_KRB5) && !exists(${KRB5CONF})
- @${ECHO} "Unable to find krb5-config in your local base, please verify that"
- @${ECHO} "security/krb5 is installed or undefine the WITH_MIT_KRB5 tunable."
- @exit 1
-. endif
-. if defined(WITH_HEIMDAL_KRB5) && !exists(${KRB5CONF})
- @${ECHO} "Unable to find krb5-config in the base system. Undefine"
- @${ECHO} "WITH_HEIMDAL_KRB5 or add MAKE_KERBEROS5=yes to /etc/make.conf"
- @${ECHO} "and remake world."
- @exit 1
-. endif
-
-.endif # !SLAVE_ONLY
-
-.if defined(CLIENT_ONLY)
-MAN1= clusterdb.1 createdb.1 createlang.1 createuser.1 dropdb.1 \
- droplang.1 dropuser.1 ecpg.1 initdb.1 initlocation.1 ipcclean.1 \
- pg_config.1 pg_controldata.1 pg_ctl.1 pg_dump.1 pg_dumpall.1 \
- pg_resetxlog.1 pg_restore.1 pgtclsh.1 pgtksh.1 postgres.1 \
- postmaster.1 psql.1 vacuumdb.1
-
-MAN7= abort.7 alter_aggregate.7 alter_conversion.7 \
- alter_database.7 alter_domain.7 alter_function.7 \
- alter_group.7 alter_language.7 alter_operator_class.7 \
- alter_schema.7 alter_sequence.7 alter_table.7 \
- alter_trigger.7 alter_user.7 analyze.7 begin.7 checkpoint.7 \
- close.7 cluster.7 comment.7 commit.7 copy.7 create_aggregate.7 \
- create_cast.7 create_constraint_trigger.7 create_conversion.7 \
- create_database.7 create_domain.7 create_function.7 create_group.7 \
- create_index.7 create_language.7 create_operator.7 \
- create_operator_class.7 create_rule.7 create_schema.7 \
- create_sequence.7 create_table.7 create_table_as.7 \
- create_trigger.7 create_type.7 create_user.7 create_view.7 \
- deallocate.7 declare.7 delete.7 drop_aggregate.7 \
- drop_cast.7 drop_conversion.7 drop_database.7 drop_domain.7 \
- drop_function.7 drop_group.7 drop_index.7 drop_language.7 \
- drop_operator.7 drop_operator_class.7 drop_rule.7 drop_schema.7 \
- drop_sequence.7 \
- drop_table.7 drop_trigger.7 drop_type.7 drop_user.7 \
- drop_view.7 end.7 execute.7 explain.7 fetch.7 grant.7 insert.7 \
- listen.7 load.7 lock.7 move.7 notify.7 prepare.7 reindex.7 \
- reset.7 revoke.7 rollback.7 select.7 select_into.7 \
- set.7 set_constraints.7 set_transaction.7 show.7 \
- set_session_authorization.7 start_transaction.7 \
- truncate.7 unlisten.7 update.7 vacuum.7
-.endif
-
-.if defined(SERVER_ONLY)
-pre-everything::
- @${SH} ${PKGINSTALL} ${PORTNAME} BACKUPWARNING
-.endif
-
-.if !defined(NO_BUILD)
-do-build:
- @ cd ${WRKSRC}/src/backend ;\
- ${GMAKE} ../../src/include/parser/parse.h ../../src/include/utils/fmgroids.h
- @ for dir in ${BUILD_DIRS}; do \
- cd ${WRKSRC}/$${dir} && ${SETENV} ${MAKE_ENV} ${GMAKE}; \
- done
-
-. if exists(${MASTERDIR}/pkg-message${PKGNAMESUFFIX})
-post-build:
- @ ${SED} "s|/usr/local|${PREFIX}|g" \
- < ${MASTERDIR}/pkg-message${PKGNAMESUFFIX} \
- > ${PKGMESSAGE}
-. endif
-.endif
-
-.if defined(SERVER_ONLY)
-pre-install:
- @ ${SETENV} PKG_PREFIX=${PREFIX} \
- ${SH} ${PKGINSTALL} ${PORTNAME} PRE-INSTALL
-.endif
-
-.if !defined(NO_BUILD)
-do-install:
- @for dir in ${INSTALL_DIRS}; do \
- cd ${WRKSRC}/$${dir} && \
- ${SETENV} ${MAKE_ENV} ${GMAKE} ${INSTALL_TARGET}; \
- done
- ${MKDIR} ${PREFIX}/share/postgresql
-. if defined(SERVER_ONLY)
- @ cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${GMAKE} install-all-headers
-. for i in profile cshrc
- @ ${SED} "s|%%PREFIX%%|${PREFIX}|g" \
- < ${FILESDIR}/dot.$i.in \
- > ${PREFIX}/share/postgresql/dot.$i.dist; \
- ${CP} ${PREFIX}/share/postgresql/dot.$i.dist ~pgsql/; \
- if [ ! -f ~pgsql/.$i ]; then \
- ${CP} ${PREFIX}/share/postgresql/dot.$i.dist ~pgsql/.$i; \
- fi
-. endfor
- @ ${SED} -e "s|%%PREFIX%%|${PREFIX}|g; s|%%RC_SUBR%%|${RC_SUBR}|g" \
- < ${FILESDIR}/pgsql.sh.tmpl \
- > ${RCSCRIPT} ;\
- ${CHMOD} 554 ${RCSCRIPT} ;\
- ${CHOWN} root:pgsql ${RCSCRIPT} ;\
- ${CHOWN} -R pgsql:pgsql ~pgsql/. ;\
- ${MKDIR} ${PREFIX}/etc/periodic/daily ;\
- ${INSTALL_DATA} ${FILESDIR}/502.pgsql \
- ${PREFIX}/etc/periodic/daily
-. endif # SERVER_ONLY
- @ if [ -r ${PKGMESSAGE} ]; then \
- ${INSTALL_DATA} ${PKGMESSAGE} ${PREFIX}/share/postgresql/README${PKGNAMESUFFIX} ;\
- ${ECHO} "======================================================================" ;\
- ${CAT} ${PKGMESSAGE} ;\
- ${ECHO} "======================================================================" ;\
- fi
-.endif # !NO_BUILD
-
-.if defined(SERVER_ONLY) && defined(WITH_TESTS)
-check:
- @if [ `id -u` != 0 ] ; then \
- ${ECHO} "Running postgresql regressions tests" ;\
- cd ${WRKSRC}; ${GMAKE} check ;\
- else \
- ${ECHO} "You cannot run regression tests when postgresql is built as user root." ; \
- ${ECHO} "Clean and rebuild the port as a regular user to run the tests." ;\
- fi
-.endif
-
-.include <bsd.port.post.mk>
diff --git a/databases/postgresql81-server/distinfo b/databases/postgresql81-server/distinfo
deleted file mode 100644
index 5e767ee944da..000000000000
--- a/databases/postgresql81-server/distinfo
+++ /dev/null
@@ -1,8 +0,0 @@
-MD5 (postgresql/postgresql-base-7.4.6.tar.bz2) = 650757097b7cff36ea6052ddb3a78987
-SIZE (postgresql/postgresql-base-7.4.6.tar.bz2) = 6534961
-MD5 (postgresql/postgresql-docs-7.4.6.tar.bz2) = 1a0567a4ac34dd1f02d5ba3e70e611c1
-SIZE (postgresql/postgresql-docs-7.4.6.tar.bz2) = 2412858
-MD5 (postgresql/postgresql-opt-7.4.6.tar.bz2) = f70f0c3f4b07fff02273a1ed9f8f55d6
-SIZE (postgresql/postgresql-opt-7.4.6.tar.bz2) = 331832
-MD5 (postgresql/postgresql-test-7.4.6.tar.bz2) = 8efd2d6dc0bdace536f473054bb5be67
-SIZE (postgresql/postgresql-test-7.4.6.tar.bz2) = 942380
diff --git a/databases/postgresql81-server/files/502.pgsql b/databases/postgresql81-server/files/502.pgsql
deleted file mode 100644
index a1cf9ba4f2ee..000000000000
--- a/databases/postgresql81-server/files/502.pgsql
+++ /dev/null
@@ -1,97 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-# Maintenance shell script to vacuum and backup database
-# Put this in /usr/local/etc/periodic/daily, and it will be run
-# every night
-#
-# Written by Palle Girgensohn <girgen@pingpong.net>
-#
-# In public domain, do what you like with it,
-# and use it at your own risk... :)
-#
-
-# Define these variables in either /etc/periodic.conf or
-# /etc/periodic.conf.local to override the default values.
-#
-# daily_pgsql_backup_enable="YES" # do backup
-# daily_pgsql_vacuum_enable="YES" # do vacuum
-
-daily_pgsql_vaccum_enable="NO"
-daily_pgsql_backup_enable="NO"
-
-daily_pgsql_vacuum_args="-z"
-daily_pgsql_pgdump_args="-b -F c"
-# backupdir is relative to ~pgsql home directory unless it begins with a slash:
-daily_pgsql_backupdir="~pgsql/backups"
-daily_pgsql_savedays="7"
-
-# If there is a global system configuration file, suck it in.
-#
-if [ -r /etc/defaults/periodic.conf ]
-then
- . /etc/defaults/periodic.conf
- source_periodic_confs
-fi
-
-# allow '~´ in dir name
-eval backupdir=${daily_pgsql_backupdir}
-
-rc=0
-
-case "$daily_pgsql_backup_enable" in
- [Yy][Ee][Ss])
-
- # daily_pgsql_backupdir must be writeable by user pgsql
- # ~pgsql is just that under normal circumstances,
- # but this might not be where you want the backups...
- if [ ! -d ${backupdir} ] ; then
- echo Creating ${backupdir}
- mkdir ${backupdir}; chmod 700 ${backupdir}; chown pgsql ${backupdir}
- fi
-
- echo
- echo "PostgreSQL maintenance"
-
- # Protect the data
- umask 077
- dbnames=`su -l pgsql -c "psql -q -t -A -d template1 -c SELECT\ datname\ FROM\ pg_database\ WHERE\ datname!=\'template0\'"`
- rc=$?
- now=`date "+%Y-%m-%dT%H:%M:%S"`
- file=${daily_pgsql_backupdir}/pgglobals_${now}
- su -l pgsql -c "pg_dumpall -g | gzip -9 > ${file}.gz"
- for db in ${dbnames}; do
- echo -n " $db"
- file=${backupdir}/pgdump_${db}_${now}
- su -l pgsql -c "pg_dump ${daily_pgsql_pgdump_args} -f ${file} ${db}"
- [ $? -gt 0 ] && rc=3
- done
-
- if [ $rc -gt 0 ]; then
- echo
- echo "Errors were reported during backup."
- fi
-
- # cleaning up old data
- find ${backupdir} \( -name 'pgdump_*' -o -name 'pgglobals_*' \) \
- -a -mtime +${daily_pgsql_savedays} -delete
- ;;
-esac
-
-case "$daily_pgsql_vacuum_enable" in
- [Yy][Ee][Ss])
-
- echo
- echo "vacuuming..."
- su -l pgsql -c "vacuumdb -a -q ${daily_pgsql_vacuum_args}"
- if [ $? -gt 0 ]
- then
- echo
- echo "Errors were reported during vacuum."
- rc=3
- fi
- ;;
-esac
-
-exit $rc
diff --git a/databases/postgresql81-server/files/dot.cshrc.in b/databases/postgresql81-server/files/dot.cshrc.in
deleted file mode 100644
index 4069398b376e..000000000000
--- a/databases/postgresql81-server/files/dot.cshrc.in
+++ /dev/null
@@ -1,11 +0,0 @@
-setenv PGLIB %%PREFIX%%/lib
-
-# note: PGDATA can be overridden by the -D startup option
-setenv PGDATA $HOME/data
-
-#You might want to set some locale stuff here
-#setenv PGDATESTYLE ISO
-#setenv LC_ALL sv_SE.ISO_8859-1
-
-# if you want to make regression tests use this TZ
-#setenv TZ PST8PDT
diff --git a/databases/postgresql81-server/files/dot.profile.in b/databases/postgresql81-server/files/dot.profile.in
deleted file mode 100644
index 954e22eae8f8..000000000000
--- a/databases/postgresql81-server/files/dot.profile.in
+++ /dev/null
@@ -1,22 +0,0 @@
-PGLIB=%%PREFIX%%/lib
-
-# note: PGDATA can be overridden by the -D startup option
-PGDATA=${HOME}/data
-
-export PATH PGLIB PGDATA
-
-# if you use the periodic script from share/postgresql/502.pgsql, you
-# can set these
-#PGDUMP_ARGS="-b -F c"
-#PGBACKUPDIR=${HOME}/backups
-#PGBACKUP_SAVE_DAYS=7
-#export PGBACKUPDIR PGDUMP_ARGS PGBACKUP_SAVE_DAYS
-
-#You might want to set some locale stuff here
-#PGDATESTYLE=ISO
-#LC_ALL=sv_SE.ISO_8859-1
-#export PGDATESTYLE LC_ALL
-
-# if you want to make regression tests use this TZ
-#TZ=PST8PDT
-#export TZ
diff --git a/databases/postgresql81-server/files/patch-configure b/databases/postgresql81-server/files/patch-configure
deleted file mode 100644
index efeca517d300..000000000000
--- a/databases/postgresql81-server/files/patch-configure
+++ /dev/null
@@ -1,59 +0,0 @@
---- configure.orig Wed Jun 26 21:28:24 2002
-+++ configure Wed Jun 26 21:35:16 2002
-@@ -2007,11 +2007,13 @@
- EOF
-
-
-- if test -d "$krb4_prefix/include"; then
-- INCLUDES="$INCLUDES -I$krb4_prefix/include"
-- fi
-- if test -d "$krb4_prefix/lib"; then
-- LIBDIRS="$LIBDIRS -L$krb4_prefix/lib"
-+ if test "$krb4_prefix" != "/usr"; then
-+ if test -d "$krb4_prefix/include"; then
-+ INCLUDES="$INCLUDES -I$krb4_prefix/include"
-+ fi
-+ if test -d "$krb4_prefix/lib"; then
-+ LIBDIRS="$LIBDIRS -L$krb4_prefix/lib"
-+ fi
- fi
-
- krb_srvtab="/etc/srvtab"
-@@ -2052,11 +2054,13 @@
- EOF
-
-
-- if test -d "$krb5_prefix/include"; then
-- INCLUDES="$INCLUDES -I$krb5_prefix/include"
-- fi
-- if test -d "$krb5_prefix/lib"; then
-- LIBDIRS="$LIBDIRS -L$krb5_prefix/lib"
-+ if test "$krb5_prefix" != "/usr"; then
-+ if test -d "$krb5_prefix/include"; then
-+ INCLUDES="$INCLUDES -I$krb5_prefix/include"
-+ fi
-+ if test -d "$krb5_prefix/lib"; then
-+ LIBDIRS="$LIBDIRS -L$krb5_prefix/lib"
-+ fi
- fi
-
- krb_srvtab="FILE:\$(sysconfdir)/krb5.keytab"
-@@ -2157,11 +2161,13 @@
- EOF
-
-
-- if test -d "${openssl_prefix}/include" ; then
-- INCLUDES="$INCLUDES -I${openssl_prefix}/include"
-- fi
-- if test -d "${openssl_prefix}/lib" ; then
-- LIBDIRS="$LIBDIRS -L${openssl_prefix}/lib"
-+ if test "${openssl_prefix}" != "/usr"; then
-+ if test -d "${openssl_prefix}/include" ; then
-+ INCLUDES="$INCLUDES -I${openssl_prefix}/include"
-+ fi
-+ if test -d "${openssl_prefix}/lib" ; then
-+ LIBDIRS="$LIBDIRS -L${openssl_prefix}/lib"
-+ fi
- fi
-
- fi
diff --git a/databases/postgresql81-server/files/patch-src-interfaces-jdbc-build-xml b/databases/postgresql81-server/files/patch-src-interfaces-jdbc-build-xml
deleted file mode 100644
index 89806a159665..000000000000
--- a/databases/postgresql81-server/files/patch-src-interfaces-jdbc-build-xml
+++ /dev/null
@@ -1,14 +0,0 @@
---- src/interfaces/jdbc/build.xml.orig Thu Jun 24 11:51:44 2004
-+++ src/interfaces/jdbc/build.xml Thu Sep 2 01:51:36 2004
-@@ -113,10 +113,7 @@
-
- <target name="compile" depends="prepare,check_versions,driver">
-
-- <available classname="org.postgresql.Driver" property="old.driver.present" />
-- <fail message="Old driver was detected on classpath or in jre/lib/ext, please remove and try again." if="old.driver.present" />
--
-- <javac classpath="${srcdir}" srcdir="${srcdir}" destdir="${builddir}" debug="${debug}">
-+ <javac includeAntRuntime="no" classpath="${srcdir}" srcdir="${srcdir}" destdir="${builddir}" debug="${debug}">
- <!-- This is the core of the driver. It is common for all three versions. -->
- <include name="${package}/*.java" />
- <include name="${package}/core/**" />
diff --git a/databases/postgresql81-server/files/patch-src-interfaces-libpgtcl-Makefile b/databases/postgresql81-server/files/patch-src-interfaces-libpgtcl-Makefile
deleted file mode 100644
index 44c60a29157e..000000000000
--- a/databases/postgresql81-server/files/patch-src-interfaces-libpgtcl-Makefile
+++ /dev/null
@@ -1,11 +0,0 @@
---- src/interfaces/libpgtcl/Makefile.orig Tue Feb 10 08:26:48 2004
-+++ src/interfaces/libpgtcl/Makefile Thu Mar 11 21:12:25 2004
-@@ -21,7 +21,7 @@
- OBJS= pgtcl.o pgtclCmds.o pgtclId.o
-
- SHLIB_LINK = $(libpq) $(TCL_LIB_SPEC) $(TCL_LIBS) \
-- $(filter -lintl -lssl -lcrypto -lkrb5 -lcrypt, $(LIBS)) $(THREAD_LIBS)
-+ $(filter -lintl -lssl -lcrypto -lkrb5 -lcrypt -L% -ltcl83 -ltcl84, $(LIBS)) $(THREAD_LIBS)
-
- all: submake-libpq all-lib
-
diff --git a/databases/postgresql81-server/files/patch-src-makefiles-Makefile.freebsd b/databases/postgresql81-server/files/patch-src-makefiles-Makefile.freebsd
deleted file mode 100644
index 9b4571d5dc30..000000000000
--- a/databases/postgresql81-server/files/patch-src-makefiles-Makefile.freebsd
+++ /dev/null
@@ -1,17 +0,0 @@
---- src/makefiles/Makefile.freebsd.orig Wed Aug 29 21:14:40 2001
-+++ src/makefiles/Makefile.freebsd Sat Jan 31 17:51:25 2004
-@@ -7,7 +7,7 @@
- endif
-
- DLSUFFIX = .so
--CFLAGS_SL = -fpic -DPIC
-+CFLAGS_SL = -fPIC -DPIC
-
- %.so: %.o
- ifdef ELF_SYSTEM
-@@ -23,3 +23,5 @@
- endif
-
- sqlmansect = 7
-+
-+allow_nonpic_in_shlib = yes
diff --git a/databases/postgresql81-server/files/patch-src:backend:utils:misc:postgresql.conf.sample b/databases/postgresql81-server/files/patch-src:backend:utils:misc:postgresql.conf.sample
deleted file mode 100644
index b9842b0c94f6..000000000000
--- a/databases/postgresql81-server/files/patch-src:backend:utils:misc:postgresql.conf.sample
+++ /dev/null
@@ -1,24 +0,0 @@
---- src/backend/utils/misc/postgresql.conf.sample~ Wed Oct 8 05:49:38 2003
-+++ src/backend/utils/misc/postgresql.conf.sample Tue Nov 18 05:08:08 2003
-@@ -136,9 +136,9 @@
-
- # - Syslog -
-
--#syslog = 0 # range 0-2; 0=stdout; 1=both; 2=syslog
--#syslog_facility = 'LOCAL0'
--#syslog_ident = 'postgres'
-+syslog = 2 # range 0-2; 0=stdout; 1=both; 2=syslog
-+syslog_facility = 'LOCAL0'
-+syslog_ident = 'postgres'
-
- # - When to Log -
-
-@@ -162,7 +162,7 @@
- # milliseconds. Zero prints all queries.
- # Minus-one disables.
-
--#silent_mode = false # DO NOT USE without Syslog!
-+silent_mode = true # DO NOT USE without Syslog!
-
- # - What to Log -
-
diff --git a/databases/postgresql81-server/files/pgsql.sh.tmpl b/databases/postgresql81-server/files/pgsql.sh.tmpl
deleted file mode 100644
index 3f8706d6af0c..000000000000
--- a/databases/postgresql81-server/files/pgsql.sh.tmpl
+++ /dev/null
@@ -1,51 +0,0 @@
-#!/bin/sh
-
-# $FreeBSD$
-#
-# For postmaster startup options, edit $PGDATA/postgresql.conf
-#
-# Note that PGDATA is set in ~pgsql/.profile, don't try to manipulate it here!
-#
-
-PREFIX=%%PREFIX%%
-PGBIN=${PREFIX}/bin
-
-case $1 in
-start)
- [ -x ${PGBIN}/pg_ctl ] && {
- echo -n ' pgsql'
- su -l pgsql -c \
- "[ -d \${PGDATA} ] && exec ${PREFIX}/bin/pg_ctl start -s -w"
- }
- ;;
-
-stop)
- [ -x ${PGBIN}/pg_ctl ] && {
- echo -n ' pgsql'
- su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl stop -s -m fast"
- }
- ;;
-
-restart)
- [ -x ${PGBIN}/pg_ctl ] && {
- exec su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl restart -s -m fast"
- }
- ;;
-
-reload)
- [ -x ${PGBIN}/pg_ctl ] && {
- exec su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl reload"
- }
- ;;
-
-status)
- [ -x ${PGBIN}/pg_ctl ] && {
- exec su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl status"
- }
- ;;
-
-*)
- echo "usage: `basename $0` {start|stop|restart|reload|status}" >&2
- exit 64
- ;;
-esac
diff --git a/databases/postgresql81-server/files/pkgIndex.tcl.in b/databases/postgresql81-server/files/pkgIndex.tcl.in
deleted file mode 100644
index bd8329b15c69..000000000000
--- a/databases/postgresql81-server/files/pkgIndex.tcl.in
+++ /dev/null
@@ -1,4 +0,0 @@
-# Package-index file for Pgtcl-package. Enables you to load PostgreSQL
-# interface functions right into you TCL-interpreter as simply as
-# package require Pgtcl
-package ifneeded Pgtcl 1.3 "load %%PREFIX%%/lib/libpgtcl.so"
diff --git a/databases/postgresql81-server/pkg-descr b/databases/postgresql81-server/pkg-descr
deleted file mode 100644
index f8f8a9e0d422..000000000000
--- a/databases/postgresql81-server/pkg-descr
+++ /dev/null
@@ -1,23 +0,0 @@
-PostgreSQL is a sophisticated Object-Relational DBMS, supporting
-almost all SQL constructs, including subselects, transactions, and
-user-defined types and functions. It is the most advanced open-source
-database available anywhere. Commercial Support is also available.
-
-The original Postgres code was the effort of many graduate students,
-undergraduate students, and staff programmers working under the direction of
-Professor Michael Stonebraker at the University of California, Berkeley. In
-1995, Andrew Yu and Jolly Chen took on the task of converting the DBMS query
-language to SQL and created a new database system which came to known as
-Postgres95. Many others contributed to the porting, testing, debugging and
-enhancement of the Postgres95 code. As the code improved, and 1995 faded into
-memory, PostgreSQL was born.
-
-PostgreSQL development is presently being performed by a team of Internet
-developers who are now responsible for all current and future development. The
-development team coordinator is Marc G. Fournier (scrappy@PostgreSQL.ORG).
-Support is available from the PostgreSQL developer/user community through the
-support mailing list (questions@PostgreSQL.ORG).
-
-PostgreSQL is free and the complete source is available.
-
-WWW: http://www.postgresql.org/
diff --git a/databases/postgresql81-server/pkg-install-server b/databases/postgresql81-server/pkg-install-server
deleted file mode 100644
index fd85f628d268..000000000000
--- a/databases/postgresql81-server/pkg-install-server
+++ /dev/null
@@ -1,65 +0,0 @@
-#! /bin/sh
-
-# $FreeBSD: /tmp/pcvs/ports/databases/postgresql81-server/Attic/pkg-install-server,v 1.1 2004-11-23 19:15:11 ade Exp $
-
-PATH=/bin:/usr/sbin
-PGUSER=pgsql
-DB_DIR=${PKG_PREFIX}/${PGUSER}
-
-backupwarning() { echo "
-
- =========== BACKUP YOUR DATA! =============
- As always, backup your data before
- upgrading. If the upgrade leads to a higher
- minor revision (e.g. 7.3.x -> 7.4), a dump
- and restore of all databases is
- required. This is *NOT* done by the port!
-
- Press ctrl-C *now* if you need to pg_dump.
- ===========================================
-"
- sleep 5
-}
-
-case $2 in
-PRE-INSTALL)
- backupwarning
- USER=${PGUSER}
- GROUP=${USER}
- UID=70
- GID=${UID}
-
- if pw group show "${GROUP}" 2>/dev/null; then
- echo "You already have a group \"${GROUP}\", so I will use it."
- else
- if pw groupadd ${GROUP} -g ${GID}; then
- echo "Added group \"${GROUP}\"."
- else
- echo "Adding group \"${GROUP}\" failed..."
- exit 1
- fi
- fi
-
- if pw user show "${USER}" 2>/dev/null; then
- echo "You already have a user \"${USER}\", so I will use it."
- else
- if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
- -d ${DB_DIR} -c "PostgreSQL Daemon"
- then
- echo "Added user \"${USER}\"."
- else
- echo "Adding user \"${USER}\" failed..."
- exit 1
- fi
- fi
-
- if ! [ -x ~${PGUSER} ] ; then
- mkdir -p ${DB_DIR}
- chown pgsql:pgsql ${DB_DIR}
- fi
- ;;
-
-BACKUPWARNING)
- backupwarning
- ;;
-esac
diff --git a/databases/postgresql81-server/pkg-message-client b/databases/postgresql81-server/pkg-message-client
deleted file mode 100644
index 722d50cb4244..000000000000
--- a/databases/postgresql81-server/pkg-message-client
+++ /dev/null
@@ -1,32 +0,0 @@
-The PostgreSQL port has a collection of "side orders":
-
-postgresql-doc
- For all of the html documentation
-
-p5-Pg
- A perl5 API for client access to PostgreSQL databases.
-
-postgresql-tcltk
- If you want tcl/tk client support.
-
-postgresql-jdbc
- For Java JDBC support.
-
-postgresql-odbc
- For client access from unix applications using ODBC as access
- method. Not needed to access unix PostgreSQL servers from Win32
- using ODBC. See below.
-
-ruby-postgres, py-PyGreSQL
- For client access to PostgreSQL databases using the ruby & python
- languages.
-
-p5-postgresql-plperl, postgresql-pltcl & postgresql-plruby
- For using perl5, tcl & ruby as procedural languages.
-
-postgresql-contrib
- Lots of contributed utilities, postgresql functions and
- datatypes. There you find autovacuum, pgcrypto and many other cool
- things.
-
-etc...
diff --git a/databases/postgresql81-server/pkg-message-contrib b/databases/postgresql81-server/pkg-message-contrib
deleted file mode 100644
index 8120f2d8d89c..000000000000
--- a/databases/postgresql81-server/pkg-message-contrib
+++ /dev/null
@@ -1,3 +0,0 @@
-The PostgreSQL contrib utilities have been installed. Please see
-/usr/local/share/doc/postgresql/contrib/README
-for more information.
diff --git a/databases/postgresql81-server/pkg-message-jdbc b/databases/postgresql81-server/pkg-message-jdbc
deleted file mode 100644
index d00982c26c05..000000000000
--- a/databases/postgresql81-server/pkg-message-jdbc
+++ /dev/null
@@ -1,8 +0,0 @@
-PostgreSQL JDBC support installed!
-
-postgresql.jar resides in
-/usr/local/share/java/classes/postgresql.jar
-Add this to your CLASSPATH!
-
-java examples reside in
-/usr/local/share/examples/postgresql
diff --git a/databases/postgresql81-server/pkg-message-plperl b/databases/postgresql81-server/pkg-message-plperl
deleted file mode 100644
index 5d0c83920563..000000000000
--- a/databases/postgresql81-server/pkg-message-plperl
+++ /dev/null
@@ -1,3 +0,0 @@
-PL/Perl has been installed. Check the createlang(l) manpage for more
-info. You can install PL/Perl as trusted or untrusted, by using either
-"createlang plperl" or "createlang plperlu".
diff --git a/databases/postgresql81-server/pkg-message-pltcl b/databases/postgresql81-server/pkg-message-pltcl
deleted file mode 100644
index 0902b858de0b..000000000000
--- a/databases/postgresql81-server/pkg-message-pltcl
+++ /dev/null
@@ -1,3 +0,0 @@
-PL/Tcl has been installed. Check the createlang(l) manpage for more
-info. You can install pltcl as trusted or untrusted, by using either
-"createlang pltcl" or "createlang pltclu".
diff --git a/databases/postgresql81-server/pkg-message-server b/databases/postgresql81-server/pkg-message-server
deleted file mode 100644
index 7957a3814c58..000000000000
--- a/databases/postgresql81-server/pkg-message-server
+++ /dev/null
@@ -1,71 +0,0 @@
-
-Specific for updating 7.4.1->7.4.x:
-
- A dump/restore is *not* required for those running 7.4, BUT:
-
- If you want to install the fixes in the information schema you will
- need to reload it into the database. This is either accomplished by
- initializing a new cluster by running "initdb", or by running the
- following sequence of SQL commands in each database (ideally including
- template1) as a superuser in psql, after installing the new release:
-
-DROP SCHEMA information_schema CASCADE;
-\i /usr/local/pgsql/share/information_schema.sql
-
- Fixes to the information schema (from HISTORY):
- * Fix information schema for bit data types (Peter)
- * Fix information schema view constraint_column_usage for foreign
- keys (Peter)
-
-=====================================================================
-
-For procedural languages and postgresql functions, please note that
-you might have to update them when updating the server. For example,
-the "elog" method disappeared in postgresql-7.4, so postgresql-contrib
-must be updated along with the server.
-
-If you have many tables and many clients running, consider raising
-kern.maxfiles using sysctl(8), or reconfigure your kernel
-appropriately.
-
-You should vacuum and backup your database regularly. There is a
-periodic script, /usr/local/etc/periodic/daily/502.pgsql, that you may
-find useful. See the script for instructions.
-
-To allow many simultaneous connections to your PostgreSQL server, you
-should raise the SystemV shared memory limits in your kernel. Here are
-example values for allowing up to 180 clients (configurations in
-postgresql.conf also needed, of course):
- options SYSVSHM
- options SYSVSEM
- options SYSVMSG
- options SHMMAXPGS=65536
- options SEMMNI=40
- options SEMMNS=240
- options SEMUME=40
- options SEMMNU=120
-
-If you plan to access your PostgreSQL server using ODBC, please
-consider running the SQL script /usr/local/share/postgresql/odbc.sql
-to get the functions required for ODBC compliance.
-
-======================================================================
-
-To initialize the database, run
-
- /usr/local/etc/rc.d/postgresql.sh initdb
-
-You can then start PostgreSQL by running:
-
- /usr/local/etc/rc.d/postgresql.sh start
-
-For postmaster settings, see ~pgsql/data/postgresql.conf
-
-NB. FreeBSD's PostgreSQL port now by default logs to syslog
- See ~pgsql/data/postgresql.conf for more info
-
-======================================================================
-
-To run PostgreSQL at startup, add
-'postgresql_enable="YES"' to /etc/rc.conf
-
diff --git a/databases/postgresql81-server/pkg-message-tcltk b/databases/postgresql81-server/pkg-message-tcltk
deleted file mode 100644
index 20a8a8a23518..000000000000
--- a/databases/postgresql81-server/pkg-message-tcltk
+++ /dev/null
@@ -1 +0,0 @@
-Now, you should install pgaccess to get a nice GUI for PostgreSQL!
diff --git a/databases/postgresql81-server/pkg-plist b/databases/postgresql81-server/pkg-plist
deleted file mode 100644
index 9c9bab36b9f8..000000000000
--- a/databases/postgresql81-server/pkg-plist
+++ /dev/null
@@ -1 +0,0 @@
-@comment to make portlint happy
diff --git a/databases/postgresql81-server/pkg-plist-client b/databases/postgresql81-server/pkg-plist-client
deleted file mode 100644
index 7773815d3078..000000000000
--- a/databases/postgresql81-server/pkg-plist-client
+++ /dev/null
@@ -1,148 +0,0 @@
-bin/clusterdb
-bin/createdb
-bin/createlang
-bin/createuser
-bin/dropdb
-bin/droplang
-bin/dropuser
-bin/ecpg
-bin/initdb
-bin/initlocation
-bin/ipcclean
-bin/pg_config
-bin/pg_controldata
-bin/pg_ctl
-bin/pg_dump
-bin/pg_dumpall
-bin/pg_encoding
-bin/pg_id
-bin/pg_resetxlog
-bin/pg_restore
-bin/psql
-bin/vacuumdb
-include/libpq/libpq-fs.h
-@dirrm include/libpq
-include/postgresql/internal/libpq/pqcomm.h
-@dirrm include/postgresql/internal/libpq
-include/postgresql/internal/lib/dllist.h
-@dirrm include/postgresql/internal/lib
-include/postgresql/informix/esql/datetime.h
-include/postgresql/informix/esql/decimal.h
-include/postgresql/informix/esql/sqlda.h
-include/postgresql/informix/esql/sqltypes.h
-@dirrm include/postgresql/informix/esql
-@dirrm include/postgresql/informix
-include/postgresql/internal/c.h
-include/postgresql/internal/libpq-int.h
-include/postgresql/internal/postgres_fe.h
-include/postgresql/internal/port.h
-include/postgresql/internal/pqexpbuffer.h
-@dirrm include/postgresql/internal
-include/ecpg_informix.h
-include/ecpgerrno.h
-include/ecpglib.h
-include/ecpgtype.h
-include/libpq-fe.h
-include/pg_config.h
-include/pg_config_manual.h
-include/pg_config_os.h
-include/pgtypes_date.h
-include/pgtypes_error.h
-include/pgtypes_interval.h
-include/pgtypes_numeric.h
-include/pgtypes_timestamp.h
-include/postgres_ext.h
-include/sql3types.h
-include/sqlca.h
-lib/libecpg.a
-lib/libecpg.so
-lib/libecpg.so.4
-lib/libecpg_compat.a
-lib/libecpg_compat.so
-lib/libecpg_compat.so.1
-lib/libpq.a
-lib/libpq.so
-lib/libpq.so.3
-lib/libpgtypes.a
-lib/libpgtypes.so
-lib/libpgtypes.so.1
-@unexec rmdir %D/lib/postgresql 2>/dev/null || true
-share/postgresql/README-client
-share/postgresql/pg_service.conf.sample
-@unexec rmdir %D/share/postgresql 2>/dev/null || true
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/hr/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/hu/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/hu/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/hu/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/nb/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/nb/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/nb/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/nb/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/nb/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/sl/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/sl/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/sl/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/sl/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/sl/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/psql.mo
-%%GETTEXT%%@unexec rmdir %D/share/locale/*/LC_MESSAGES 2>/dev/null || true
-%%GETTEXT%%@unexec rmdir %D/share/locale/* 2>/dev/null || true
-%%GETTEXT%%@unexec rmdir %D/share/locale 2>/dev/null || true
-@dirrm include/postgresql
diff --git a/databases/postgresql81-server/pkg-plist-contrib b/databases/postgresql81-server/pkg-plist-contrib
deleted file mode 100644
index 6f03c45e8aa3..000000000000
--- a/databases/postgresql81-server/pkg-plist-contrib
+++ /dev/null
@@ -1,145 +0,0 @@
-bin/ApplySnapshot
-bin/CleanLog
-bin/GetSyncID
-bin/InitRservTest
-bin/MasterAddTable
-bin/MasterInit
-bin/MasterSync
-bin/PrepareSnapshot
-bin/Replicate
-bin/RservTest
-bin/SlaveAddTable
-bin/SlaveInit
-bin/dbf2pg
-bin/findoidjoins
-bin/fti.pl
-bin/ipc_check
-bin/make_oidjoins_check
-bin/oid2name
-bin/pg_autovacuum
-bin/pg_dumplo
-bin/pg_logger
-bin/pgbench
-bin/reindexdb
-bin/vacuumlo
-lib/postgresql/_int.so
-lib/postgresql/autoinc.so
-lib/postgresql/btree_gist.so
-lib/postgresql/chkpass.so
-lib/postgresql/cube.so
-lib/postgresql/dblink.so
-lib/postgresql/dbsize.so
-lib/postgresql/earthdistance.so
-lib/postgresql/fti.so
-lib/postgresql/fuzzystrmatch.so
-lib/postgresql/insert_username.so
-lib/postgresql/int_aggregate.so
-lib/postgresql/isbn_issn.so
-lib/postgresql/lo.so
-lib/postgresql/ltree.so
-lib/postgresql/misc_utils.so
-lib/postgresql/moddatetime.so
-lib/postgresql/noup.so
-lib/postgresql/pending.so
-lib/postgresql/pgcrypto.so
-lib/postgresql/pgstattuple.so
-lib/postgresql/refint.so
-lib/postgresql/rserv.so
-lib/postgresql/rtree_gist.so
-lib/postgresql/seg.so
-lib/postgresql/string_io.so
-lib/postgresql/tablefunc.so
-lib/postgresql/timetravel.so
-lib/postgresql/tsearch.so
-lib/postgresql/tsearch2.so
-lib/postgresql/user_locks.so
-%%DOCSDIR%%/contrib/README
-%%DOCSDIR%%/contrib/README.apachelog
-%%DOCSDIR%%/contrib/README.btree_gist
-%%DOCSDIR%%/contrib/README.chkpass
-%%DOCSDIR%%/contrib/README.cube
-%%DOCSDIR%%/contrib/README.dbf2pg
-%%DOCSDIR%%/contrib/README.dblink
-%%DOCSDIR%%/contrib/README.dbmirror
-%%DOCSDIR%%/contrib/README.dbsize
-%%DOCSDIR%%/contrib/README.earthdistance
-%%DOCSDIR%%/contrib/README.findoidjoins
-%%DOCSDIR%%/contrib/README.fti
-%%DOCSDIR%%/contrib/README.fuzzystrmatch
-%%DOCSDIR%%/contrib/README.int_aggregate
-%%DOCSDIR%%/contrib/README.intarray
-%%DOCSDIR%%/contrib/README.ipc_check
-%%DOCSDIR%%/contrib/README.isbn_issn
-%%DOCSDIR%%/contrib/README.lo
-%%DOCSDIR%%/contrib/README.ltree
-%%DOCSDIR%%/contrib/README.misc_utils
-%%DOCSDIR%%/contrib/README.noup
-%%DOCSDIR%%/contrib/README.oid2name
-%%DOCSDIR%%/contrib/README.pg_autovacuum
-%%DOCSDIR%%/contrib/README.pg_dumplo
-%%DOCSDIR%%/contrib/README.pg_logger
-%%DOCSDIR%%/contrib/README.pgbench
-%%DOCSDIR%%/contrib/README.pgbench_jis
-%%DOCSDIR%%/contrib/README.pgcrypto
-%%DOCSDIR%%/contrib/README.pgstattuple
-%%DOCSDIR%%/contrib/README.pgstattuple.euc_jp
-%%DOCSDIR%%/contrib/README.reindexdb
-%%DOCSDIR%%/contrib/README.rserv
-%%DOCSDIR%%/contrib/README.rtree_gist
-%%DOCSDIR%%/contrib/README.seg
-%%DOCSDIR%%/contrib/README.soundex
-%%DOCSDIR%%/contrib/README.spi
-%%DOCSDIR%%/contrib/README.string_io
-%%DOCSDIR%%/contrib/README.tablefunc
-%%DOCSDIR%%/contrib/README.tsearch
-%%DOCSDIR%%/contrib/README.tsearch2
-%%DOCSDIR%%/contrib/README.user_locks
-%%DOCSDIR%%/contrib/README.vacuumlo
-%%DOCSDIR%%/contrib/autoinc.example
-%%DOCSDIR%%/contrib/insert_username.example
-%%DOCSDIR%%/contrib/moddatetime.example
-%%DOCSDIR%%/contrib/refint.example
-%%DOCSDIR%%/contrib/timetravel.example
-share/postgresql/contrib/RServ.pm
-share/postgresql/contrib/_int.sql
-share/postgresql/contrib/autoinc.sql
-share/postgresql/contrib/btree_gist.sql
-share/postgresql/contrib/chkpass.sql
-share/postgresql/contrib/cube.sql
-share/postgresql/contrib/dblink.sql
-share/postgresql/contrib/dbsize.sql
-share/postgresql/contrib/earthdistance.sql
-share/postgresql/contrib/english.stop
-share/postgresql/contrib/fti.sql
-share/postgresql/contrib/fuzzystrmatch.sql
-share/postgresql/contrib/insert_username.sql
-share/postgresql/contrib/int_aggregate.sql
-share/postgresql/contrib/isbn_issn.sql
-share/postgresql/contrib/lo.sql
-share/postgresql/contrib/lo_drop.sql
-share/postgresql/contrib/lo_test.sql
-share/postgresql/contrib/ltree.sql
-share/postgresql/contrib/master.sql
-share/postgresql/contrib/misc_utils.sql
-share/postgresql/contrib/moddatetime.sql
-share/postgresql/contrib/noup.sql
-share/postgresql/contrib/pgcrypto.sql
-share/postgresql/contrib/pgstattuple.sql
-share/postgresql/contrib/refint.sql
-share/postgresql/contrib/rtree_gist.sql
-share/postgresql/contrib/russian.stop
-share/postgresql/contrib/seg.sql
-share/postgresql/contrib/slave.sql
-share/postgresql/contrib/string_io.sql
-share/postgresql/contrib/tablefunc.sql
-share/postgresql/contrib/timetravel.sql
-share/postgresql/contrib/tsearch.sql
-share/postgresql/contrib/tsearch2.sql
-share/postgresql/contrib/untsearch2.sql
-share/postgresql/contrib/user_locks.sql
-share/postgresql/README-contrib
-@unexec rmdir %D/share/postgresql/contrib >&2 2> /dev/null || true
-@unexec rmdir %D/share/postgresql >&2 2> /dev/null || true
-@unexec rmdir %D/%%DOCSDIR%%/contrib >&2 2> /dev/null || true
-@unexec rmdir %D/%%DOCSDIR%% >&2 2> /dev/null || true
-@unexec rmdir %D/lib/postgresql >&2 2> /dev/null || true
diff --git a/databases/postgresql81-server/pkg-plist-jdbc b/databases/postgresql81-server/pkg-plist-jdbc
deleted file mode 100644
index 8f79235fa198..000000000000
--- a/databases/postgresql81-server/pkg-plist-jdbc
+++ /dev/null
@@ -1,27 +0,0 @@
-%%PORTDOCS%%%%EXAMPLESDIR%%/ImageViewer.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/README
-%%PORTDOCS%%%%EXAMPLESDIR%%/Unicode.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/basic.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/blobtest.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockClient.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockDB.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockDispenserImpl.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockItemImpl.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockServer.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/corba/readme
-%%PORTDOCS%%%%EXAMPLESDIR%%/corba/stock.idl
-%%PORTDOCS%%%%EXAMPLESDIR%%/corba/stock.sql
-%%PORTDOCS%%%%EXAMPLESDIR%%/datestyle.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/metadata.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/psql.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/threadsafe.java
-share/java/classes/postgresql.jar
-@unexec rmdir %D/share/java/classes 2>/dev/null || true
-@unexec rmdir %D/share/java 2>/dev/null || true
-%%PORTDOCS%%@dirrm %%EXAMPLESDIR%%/corba
-@unexec rmdir %D/%%EXAMPLESDIR%% 2>/dev/null || true
-share/postgresql/java/postgresql-examples.jar
-share/postgresql/java/postgresql.jar
-@dirrm share/postgresql/java
-share/postgresql/README-jdbc
-@unexec rmdir %D/share/postgresql 2>/dev/null || true
diff --git a/databases/postgresql81-server/pkg-plist-plperl b/databases/postgresql81-server/pkg-plist-plperl
deleted file mode 100644
index 56bb75060a28..000000000000
--- a/databases/postgresql81-server/pkg-plist-plperl
+++ /dev/null
@@ -1,2 +0,0 @@
-lib/postgresql/plperl.so
-@unexec rmdir %D/lib/postgresql 2>/dev/null || true
diff --git a/databases/postgresql81-server/pkg-plist-pltcl b/databases/postgresql81-server/pkg-plist-pltcl
deleted file mode 100644
index 6b4db2ed3bbd..000000000000
--- a/databases/postgresql81-server/pkg-plist-pltcl
+++ /dev/null
@@ -1,8 +0,0 @@
-lib/postgresql/pltcl.so
-@unexec rmdir %D/lib/postgresql 2>/dev/null || true
-bin/pltcl_loadmod
-bin/pltcl_delmod
-bin/pltcl_listmod
-share/postgresql/README-pltcl
-share/postgresql/unknown.pltcl
-@unexec rmdir %D/share/postgresql 2>/dev/null || true
diff --git a/databases/postgresql81-server/pkg-plist-server b/databases/postgresql81-server/pkg-plist-server
deleted file mode 100644
index 3ce747f9fa74..000000000000
--- a/databases/postgresql81-server/pkg-plist-server
+++ /dev/null
@@ -1,411 +0,0 @@
-bin/postmaster
-bin/postgres
-etc/periodic/daily/502.pgsql
-lib/postgresql/ascii_and_mic.so
-lib/postgresql/cyrillic_and_mic.so
-lib/postgresql/euc_cn_and_mic.so
-lib/postgresql/euc_jp_and_sjis.so
-lib/postgresql/euc_kr_and_mic.so
-lib/postgresql/euc_tw_and_big5.so
-lib/postgresql/latin2_and_win1250.so
-lib/postgresql/latin_and_mic.so
-lib/postgresql/utf8_and_ascii.so
-lib/postgresql/utf8_and_big5.so
-lib/postgresql/utf8_and_cyrillic.so
-lib/postgresql/utf8_and_euc_cn.so
-lib/postgresql/utf8_and_euc_jp.so
-lib/postgresql/utf8_and_euc_kr.so
-lib/postgresql/utf8_and_euc_tw.so
-lib/postgresql/utf8_and_gb18030.so
-lib/postgresql/utf8_and_gbk.so
-lib/postgresql/utf8_and_iso8859.so
-lib/postgresql/utf8_and_iso8859_1.so
-lib/postgresql/utf8_and_johab.so
-lib/postgresql/utf8_and_sjis.so
-lib/postgresql/utf8_and_tcvn.so
-lib/postgresql/utf8_and_uhc.so
-lib/postgresql/utf8_and_win1250.so
-lib/postgresql/utf8_and_win1256.so
-lib/postgresql/utf8_and_win874.so
-lib/postgresql/plpgsql.so
-share/postgresql/README-server
-share/postgresql/conversion_create.sql
-share/postgresql/information_schema.sql
-share/postgresql/pg_hba.conf.sample
-share/postgresql/pg_ident.conf.sample
-share/postgresql/postgres.bki
-share/postgresql/postgres.description
-share/postgresql/postgresql.conf.sample
-share/postgresql/sql_features.txt
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/hr/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/hu/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/nb/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/tr/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/postgres.mo
-%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/postgres.mo
-@unexec if cmp -s ~pgsql/.profile %D/share/postgresql/dot.profile.dist; then rm -f ~pgsql/.profile; fi
-@unexec if cmp -s ~pgsql/.cshrc %D/share/postgresql/dot.cshrc.dist; then rm -f ~pgsql/.cshrc; fi
-@unexec [ -f ~pgsql/dot.profile.dist ] && rm ~pgsql/dot.profile.dist
-@unexec [ -f ~pgsql/dot.cshrc.dist ] && rm ~pgsql/dot.cshrc.dist
-share/postgresql/dot.profile.dist
-share/postgresql/dot.cshrc.dist
-@exec [ -f %D/share/postgresql/dot.profile.dist ] && cp %D/share/postgresql/dot.profile.dist ~pgsql/.
-@exec [ -f %D/share/postgresql/dot.cshrc.dist ] && cp %D/share/postgresql/dot.cshrc.dist ~pgsql/.
-@exec [ -f ~pgsql/.profile ] || (cp %D/share/postgresql/dot.profile.dist ~pgsql/.profile && chown pgsql:pgsql ~pgsql/.profile)
-@exec [ -f ~pgsql/.cshrc ] || (cp %D/share/postgresql/dot.cshrc.dist ~pgsql/.cshrc && chown pgsql:pgsql ~pgsql/.cshrc)
-@unexec rmdir ~pgsql 2> /dev/null || true
-@unexec echo "Warning: If you will *NOT* use this package anymore, please remove %D/pgsql and the pgsql user manually."
-@unexec rmdir %D/share/postgresql 2>/dev/null || true
-@unexec rmdir %D/etc/periodic/daily 2>/dev/null || true
-etc/rc.d/postgresql.sh
-include/postgresql/server/access/attnum.h
-include/postgresql/server/access/clog.h
-include/postgresql/server/access/genam.h
-include/postgresql/server/access/gist.h
-include/postgresql/server/access/gistscan.h
-include/postgresql/server/access/hash.h
-include/postgresql/server/access/heapam.h
-include/postgresql/server/access/hio.h
-include/postgresql/server/access/htup.h
-include/postgresql/server/access/ibit.h
-include/postgresql/server/access/iqual.h
-include/postgresql/server/access/istrat.h
-include/postgresql/server/access/itup.h
-include/postgresql/server/access/nbtree.h
-include/postgresql/server/access/printtup.h
-include/postgresql/server/access/relscan.h
-include/postgresql/server/access/rmgr.h
-include/postgresql/server/access/rtree.h
-include/postgresql/server/access/rtscan.h
-include/postgresql/server/access/sdir.h
-include/postgresql/server/access/skey.h
-include/postgresql/server/access/slru.h
-include/postgresql/server/access/strat.h
-include/postgresql/server/access/transam.h
-include/postgresql/server/access/tupdesc.h
-include/postgresql/server/access/tupmacs.h
-include/postgresql/server/access/valid.h
-include/postgresql/server/access/tuptoaster.h
-include/postgresql/server/access/xact.h
-include/postgresql/server/access/xlog.h
-include/postgresql/server/access/xlogdefs.h
-include/postgresql/server/access/xlogutils.h
-include/postgresql/server/bootstrap/bootstrap.h
-include/postgresql/server/catalog/catalog.h
-include/postgresql/server/catalog/catname.h
-include/postgresql/server/catalog/catversion.h
-include/postgresql/server/catalog/dependency.h
-include/postgresql/server/catalog/heap.h
-include/postgresql/server/catalog/index.h
-include/postgresql/server/catalog/indexing.h
-include/postgresql/server/catalog/namespace.h
-include/postgresql/server/catalog/pg_aggregate.h
-include/postgresql/server/catalog/pg_am.h
-include/postgresql/server/catalog/pg_amop.h
-include/postgresql/server/catalog/pg_amproc.h
-include/postgresql/server/catalog/pg_attrdef.h
-include/postgresql/server/catalog/pg_attribute.h
-include/postgresql/server/catalog/pg_cast.h
-include/postgresql/server/catalog/pg_class.h
-include/postgresql/server/catalog/pg_constraint.h
-include/postgresql/server/catalog/pg_control.h
-include/postgresql/server/catalog/pg_conversion.h
-include/postgresql/server/catalog/pg_database.h
-include/postgresql/server/catalog/pg_depend.h
-include/postgresql/server/catalog/pg_group.h
-include/postgresql/server/catalog/pg_description.h
-include/postgresql/server/catalog/pg_index.h
-include/postgresql/server/catalog/pg_inherits.h
-include/postgresql/server/catalog/pg_language.h
-include/postgresql/server/catalog/pg_largeobject.h
-include/postgresql/server/catalog/pg_listener.h
-include/postgresql/server/catalog/pg_namespace.h
-include/postgresql/server/catalog/pg_opclass.h
-include/postgresql/server/catalog/pg_operator.h
-include/postgresql/server/catalog/pg_proc.h
-include/postgresql/server/catalog/pg_rewrite.h
-include/postgresql/server/catalog/pg_shadow.h
-include/postgresql/server/catalog/pg_statistic.h
-include/postgresql/server/catalog/pg_trigger.h
-include/postgresql/server/catalog/pg_type.h
-include/postgresql/server/catalog/pg_version.h
-include/postgresql/server/commands/alter.h
-include/postgresql/server/commands/async.h
-include/postgresql/server/commands/cluster.h
-include/postgresql/server/commands/comment.h
-include/postgresql/server/commands/conversioncmds.h
-include/postgresql/server/commands/copy.h
-include/postgresql/server/commands/dbcommands.h
-include/postgresql/server/commands/defrem.h
-include/postgresql/server/commands/explain.h
-include/postgresql/server/commands/lockcmds.h
-include/postgresql/server/commands/portalcmds.h
-include/postgresql/server/commands/prepare.h
-include/postgresql/server/commands/proclang.h
-include/postgresql/server/commands/schemacmds.h
-include/postgresql/server/commands/sequence.h
-include/postgresql/server/commands/tablecmds.h
-include/postgresql/server/commands/trigger.h
-include/postgresql/server/commands/typecmds.h
-include/postgresql/server/commands/user.h
-include/postgresql/server/commands/vacuum.h
-include/postgresql/server/commands/variable.h
-include/postgresql/server/commands/version.h
-include/postgresql/server/commands/view.h
-include/postgresql/server/executor/execdebug.h
-include/postgresql/server/executor/execdefs.h
-include/postgresql/server/executor/execdesc.h
-include/postgresql/server/executor/executor.h
-include/postgresql/server/executor/functions.h
-include/postgresql/server/executor/hashjoin.h
-include/postgresql/server/executor/instrument.h
-include/postgresql/server/executor/nodeAgg.h
-include/postgresql/server/executor/nodeAppend.h
-include/postgresql/server/executor/nodeFunctionscan.h
-include/postgresql/server/executor/nodeGroup.h
-include/postgresql/server/executor/nodeHash.h
-include/postgresql/server/executor/nodeHashjoin.h
-include/postgresql/server/executor/nodeIndexscan.h
-include/postgresql/server/executor/nodeLimit.h
-include/postgresql/server/executor/nodeMaterial.h
-include/postgresql/server/executor/nodeMergejoin.h
-include/postgresql/server/executor/nodeNestloop.h
-include/postgresql/server/executor/nodeResult.h
-include/postgresql/server/executor/nodeSeqscan.h
-include/postgresql/server/executor/nodeSetOp.h
-include/postgresql/server/executor/nodeSort.h
-include/postgresql/server/executor/nodeSubplan.h
-include/postgresql/server/executor/nodeSubqueryscan.h
-include/postgresql/server/executor/nodeTidscan.h
-include/postgresql/server/executor/nodeUnique.h
-include/postgresql/server/executor/spi.h
-include/postgresql/server/executor/spi_priv.h
-include/postgresql/server/executor/tstoreReceiver.h
-include/postgresql/server/executor/tuptable.h
-include/postgresql/server/lib/dllist.h
-include/postgresql/server/lib/lispsort.h
-include/postgresql/server/lib/stringinfo.h
-include/postgresql/server/libpq/auth.h
-include/postgresql/server/libpq/be-fsstubs.h
-include/postgresql/server/libpq/crypt.h
-include/postgresql/server/libpq/hba.h
-include/postgresql/server/libpq/ip.h
-include/postgresql/server/libpq/libpq-be.h
-include/postgresql/server/libpq/libpq-fs.h
-include/postgresql/server/libpq/libpq.h
-include/postgresql/server/libpq/pqcomm.h
-include/postgresql/server/libpq/pqformat.h
-include/postgresql/server/libpq/pqsignal.h
-include/postgresql/server/mb/pg_wchar.h
-include/postgresql/server/nodes/bitmapset.h
-include/postgresql/server/nodes/execnodes.h
-include/postgresql/server/nodes/makefuncs.h
-include/postgresql/server/nodes/memnodes.h
-include/postgresql/server/nodes/nodeFuncs.h
-include/postgresql/server/nodes/nodes.h
-include/postgresql/server/nodes/params.h
-include/postgresql/server/nodes/parsenodes.h
-include/postgresql/server/nodes/pg_list.h
-include/postgresql/server/nodes/plannodes.h
-include/postgresql/server/nodes/primnodes.h
-include/postgresql/server/nodes/print.h
-include/postgresql/server/nodes/readfuncs.h
-include/postgresql/server/nodes/relation.h
-include/postgresql/server/optimizer/clauses.h
-include/postgresql/server/optimizer/cost.h
-include/postgresql/server/optimizer/geqo.h
-include/postgresql/server/optimizer/geqo_copy.h
-include/postgresql/server/optimizer/geqo_gene.h
-include/postgresql/server/optimizer/geqo_misc.h
-include/postgresql/server/optimizer/geqo_mutation.h
-include/postgresql/server/optimizer/geqo_pool.h
-include/postgresql/server/optimizer/geqo_random.h
-include/postgresql/server/optimizer/geqo_recombination.h
-include/postgresql/server/optimizer/geqo_selection.h
-include/postgresql/server/optimizer/joininfo.h
-include/postgresql/server/optimizer/pathnode.h
-include/postgresql/server/optimizer/paths.h
-include/postgresql/server/optimizer/plancat.h
-include/postgresql/server/optimizer/planmain.h
-include/postgresql/server/optimizer/planner.h
-include/postgresql/server/optimizer/prep.h
-include/postgresql/server/optimizer/restrictinfo.h
-include/postgresql/server/optimizer/subselect.h
-include/postgresql/server/optimizer/tlist.h
-include/postgresql/server/optimizer/var.h
-include/postgresql/server/parser/analyze.h
-include/postgresql/server/parser/gramparse.h
-include/postgresql/server/parser/keywords.h
-include/postgresql/server/parser/parse.h
-include/postgresql/server/parser/parse_agg.h
-include/postgresql/server/parser/parse_clause.h
-include/postgresql/server/parser/parse_coerce.h
-include/postgresql/server/parser/parse_expr.h
-include/postgresql/server/parser/parse_func.h
-include/postgresql/server/parser/parse_node.h
-include/postgresql/server/parser/parse_oper.h
-include/postgresql/server/parser/parse_relation.h
-include/postgresql/server/parser/parse_target.h
-include/postgresql/server/parser/parse_type.h
-include/postgresql/server/parser/parser.h
-include/postgresql/server/parser/parsetree.h
-include/postgresql/server/parser/scansup.h
-include/postgresql/server/port/aix.h
-include/postgresql/server/port/beos.h
-include/postgresql/server/port/bsdi.h
-include/postgresql/server/port/cygwin.h
-include/postgresql/server/port/darwin.h
-include/postgresql/server/port/dgux.h
-include/postgresql/server/port/freebsd.h
-include/postgresql/server/port/hpux.h
-include/postgresql/server/port/irix5.h
-include/postgresql/server/port/linux.h
-include/postgresql/server/port/netbsd.h
-include/postgresql/server/port/nextstep.h
-include/postgresql/server/port/openbsd.h
-include/postgresql/server/port/osf.h
-include/postgresql/server/port/qnx4.h
-include/postgresql/server/port/sco.h
-include/postgresql/server/port/solaris.h
-include/postgresql/server/port/sunos4.h
-include/postgresql/server/port/svr4.h
-include/postgresql/server/port/ultrix4.h
-include/postgresql/server/port/univel.h
-include/postgresql/server/port/unixware.h
-include/postgresql/server/port/win32.h
-include/postgresql/server/regex/regcustom.h
-include/postgresql/server/regex/regerrs.h
-include/postgresql/server/regex/regex.h
-include/postgresql/server/regex/regguts.h
-include/postgresql/server/rewrite/prs2lock.h
-include/postgresql/server/rewrite/rewriteDefine.h
-include/postgresql/server/rewrite/rewriteHandler.h
-include/postgresql/server/rewrite/rewriteManip.h
-include/postgresql/server/rewrite/rewriteRemove.h
-include/postgresql/server/rewrite/rewriteSupport.h
-include/postgresql/server/storage/backendid.h
-include/postgresql/server/storage/block.h
-include/postgresql/server/storage/buf.h
-include/postgresql/server/storage/buf_internals.h
-include/postgresql/server/storage/buffile.h
-include/postgresql/server/storage/bufmgr.h
-include/postgresql/server/storage/bufpage.h
-include/postgresql/server/storage/fd.h
-include/postgresql/server/storage/freespace.h
-include/postgresql/server/storage/ipc.h
-include/postgresql/server/storage/item.h
-include/postgresql/server/storage/itemid.h
-include/postgresql/server/storage/itempos.h
-include/postgresql/server/storage/itemptr.h
-include/postgresql/server/storage/large_object.h
-include/postgresql/server/storage/lmgr.h
-include/postgresql/server/storage/lock.h
-include/postgresql/server/storage/lwlock.h
-include/postgresql/server/storage/off.h
-include/postgresql/server/storage/pg_sema.h
-include/postgresql/server/storage/pg_shmem.h
-include/postgresql/server/storage/pmsignal.h
-include/postgresql/server/storage/pos.h
-include/postgresql/server/storage/proc.h
-include/postgresql/server/storage/relfilenode.h
-include/postgresql/server/storage/s_lock.h
-include/postgresql/server/storage/shmem.h
-include/postgresql/server/storage/sinval.h
-include/postgresql/server/storage/sinvaladt.h
-include/postgresql/server/storage/smgr.h
-include/postgresql/server/storage/spin.h
-include/postgresql/server/tcop/dest.h
-include/postgresql/server/tcop/fastpath.h
-include/postgresql/server/tcop/pquery.h
-include/postgresql/server/tcop/tcopdebug.h
-include/postgresql/server/tcop/tcopprot.h
-include/postgresql/server/tcop/utility.h
-include/postgresql/server/utils/acl.h
-include/postgresql/server/utils/array.h
-include/postgresql/server/utils/ascii.h
-include/postgresql/server/utils/builtins.h
-include/postgresql/server/utils/cash.h
-include/postgresql/server/utils/catcache.h
-include/postgresql/server/utils/date.h
-include/postgresql/server/utils/datetime.h
-include/postgresql/server/utils/datum.h
-include/postgresql/server/utils/dynahash.h
-include/postgresql/server/utils/dynamic_loader.h
-include/postgresql/server/utils/elog.h
-include/postgresql/server/utils/errcodes.h
-include/postgresql/server/utils/fmgroids.h
-include/postgresql/server/utils/fmgrtab.h
-include/postgresql/server/utils/formatting.h
-include/postgresql/server/utils/geo_decls.h
-include/postgresql/server/utils/guc.h
-include/postgresql/server/utils/guc_tables.h
-include/postgresql/server/utils/hsearch.h
-include/postgresql/server/utils/help_config.h
-include/postgresql/server/utils/inet.h
-include/postgresql/server/utils/int8.h
-include/postgresql/server/utils/inval.h
-include/postgresql/server/utils/logtape.h
-include/postgresql/server/utils/lsyscache.h
-include/postgresql/server/utils/memutils.h
-include/postgresql/server/utils/nabstime.h
-include/postgresql/server/utils/numeric.h
-include/postgresql/server/utils/palloc.h
-include/postgresql/server/utils/pg_crc.h
-include/postgresql/server/utils/pg_locale.h
-include/postgresql/server/utils/pg_lzcompress.h
-include/postgresql/server/utils/portal.h
-include/postgresql/server/utils/ps_status.h
-include/postgresql/server/utils/rel.h
-include/postgresql/server/utils/relcache.h
-include/postgresql/server/utils/selfuncs.h
-include/postgresql/server/utils/sets.h
-include/postgresql/server/utils/syscache.h
-include/postgresql/server/utils/timestamp.h
-include/postgresql/server/utils/tqual.h
-include/postgresql/server/utils/tuplesort.h
-include/postgresql/server/utils/tuplestore.h
-include/postgresql/server/utils/typcache.h
-include/postgresql/server/utils/varbit.h
-include/postgresql/server/c.h
-include/postgresql/server/dynloader.h
-include/postgresql/server/fmgr.h
-include/postgresql/server/funcapi.h
-include/postgresql/server/getaddrinfo.h
-include/postgresql/server/getopt_long.h
-include/postgresql/server/miscadmin.h
-include/postgresql/server/pg_config.h
-include/postgresql/server/pg_config_manual.h
-include/postgresql/server/pg_config_os.h
-include/postgresql/server/pgstat.h
-include/postgresql/server/port.h
-include/postgresql/server/postgres.h
-include/postgresql/server/postgres_ext.h
-include/postgresql/server/postgres_fe.h
-include/postgresql/server/rusagestub.h
-include/postgresql/server/strdup.h
-@dirrm include/postgresql/server/access
-@dirrm include/postgresql/server/bootstrap
-@dirrm include/postgresql/server/catalog
-@dirrm include/postgresql/server/commands
-@dirrm include/postgresql/server/executor
-@dirrm include/postgresql/server/lib
-@dirrm include/postgresql/server/libpq
-@dirrm include/postgresql/server/mb
-@dirrm include/postgresql/server/nodes
-@dirrm include/postgresql/server/optimizer
-@dirrm include/postgresql/server/parser
-@dirrm include/postgresql/server/port
-@dirrm include/postgresql/server/regex
-@dirrm include/postgresql/server/rewrite
-@dirrm include/postgresql/server/storage
-@dirrm include/postgresql/server/tcop
-@dirrm include/postgresql/server/utils
-@dirrm include/postgresql/server
diff --git a/databases/postgresql81-server/pkg-plist-tcltk b/databases/postgresql81-server/pkg-plist-tcltk
deleted file mode 100644
index 7138da9d91dd..000000000000
--- a/databases/postgresql81-server/pkg-plist-tcltk
+++ /dev/null
@@ -1,11 +0,0 @@
-bin/pgtclsh
-include/libpgtcl.h
-lib/tcl%%TCLVERSION%%/Pgtcl1.3/pkgIndex.tcl
-@dirrm lib/tcl%%TCLVERSION%%/Pgtcl1.3
-@unexec rmdir %D/lib/tcl%%TCLVERSION%% 2>/dev/null || true
-lib/libpgtcl.a
-lib/libpgtcl.so
-lib/libpgtcl.so.2
-%%TK%%bin/pgtksh
-share/postgresql/README-tcltk
-@unexec rmdir %D/share/postgresql 2>/dev/null || true